FROM ruby:2.6.0 as base
RUN apt-get update
RUN apt-get install -y postgresql-client nano

FROM base as deps
COPY Gemfile Gemfile
COPY Gemfile.lock Gemfile.lock
RUN bundle install

FROM deps
RUN mkdir workspace
WORKDIR workspace
CMD tail -F nothing